﻿@using System.Security.Cryptography
@using System.Web.Hosting
@model StarterProjectV2.ViewModels.OwnersAdditionalInfoEditView
@{
    ViewBag.Title = "Project Edit";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <style>
        .container1 {
            color: white;
            width: 128px;
            height: 128px;
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
@section PAGETITLE{
    Project Edit
}

<div class="card">
    <div class="card-body">
        <h1 class="text-center" style="margin-bottom: 40px;color: indianred">Edit Owner's Project Information</h1>
        <p class="text-muted"></p>
        @using (Html.BeginForm("OwnersProjectInfoForEdit", "AdditionalInformation", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))

        {
            <div class="input-group mb-3">
                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Project Name</label>
                @Html.TextBoxFor(m => m.OwnersProjectList[0].ProjectName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Project Name", type = "text", id = "OPProjectName" })
            </div>
            <div class="input-group mb-3">
                <label for="" class="col-sm-3 col-lg-2 col-md-3  col-form-label">Number of Room</label>
                @Html.TextBoxFor(m => m.OwnersProjectList[0].NumberOfRoom, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "NumberOfRoom", type = "text", id = "OPNumberOfRoom" })
                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Number of Days</label>
                @Html.TextBoxFor(m => m.OwnersProjectList[0].NumberOfDays, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "NumberOfDays", type = "text", id = "OPNumberOfDays" })

            </div>
            <div class="input-group mb-3">
                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Purchase Date</label>
                @Html.TextBoxFor(m => m.OwnersProjectList[0].PurchaseDate,
                    new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "PurchaseDate", type = "date", id = "OPPurchaseDate" })
            </div>
            <div class="input-group mb-3">
                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Sales Amount</label>
                @Html.TextBoxFor(m => m.OwnersProjectList[0].SalesAmount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Sale Amount", type = "text", id = "OPSalesAmount" })
                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Paid Amount</label>
                @Html.TextBoxFor(m => m.OwnersProjectList[0].PaidAmount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = " Paid Amount", type = "text", id = "OPPaidAmount" })
            </div>

            <button type="button" class="btn btn-success m-1 but3">Add Installment Information</button>
            <div class="projectinstallment">
                @for (var i = 0; i < Model.OwnersProjectList.Count; i++)
                {
                    <div class="row">
                        <div class="col">
                            <label for="OPPeriod">Time Period</label>
                            @Html.TextBoxFor(m => m.OwnersProjectList[i].Period, new { @class = "form-control", placeholder = "Time Period", type = "text", name = "OPPeriod", @id = "OPPeriod" })
                        </div>
                        <div class="col">
                            <label for="OPDate">Date</label>
                            @Html.TextBoxFor(m => m.OwnersProjectList[i].Date, new { @class = "form-control", placeholder = "Owner's Name", type = "date", name = "OPDate", @id = "OPDate" })
                        </div>
                        <div class="col">
                            <label for="OPAmount">Amount</label>
                            @Html.TextBoxFor(m => m.OwnersProjectList[i].Amount, new { @class = "form-control", placeholder = "Owner's Name", type = "text", name = "OPAmount", @id = "OPAmount" })
                        </div>
                    </div>
                }
            </div>
            <div class="row">
                <div>
                    <button type="button" class="btn btn-primary m-1" onclick="retrieveProjects()">Submit</button>
                </div>
                <div>
                    <button type="button" class="btn btn-danger m-1">Reset</button>
                </div>
                <div>
                    <button type="button" class="btn btn-warning m-1" onclick="goBack()">Back</button>
                </div>
                <div>
                    <button type="button" class="btn btn-info m-1" onclick="gotoFamily()">Skip</button>
                </div>
            </div>
        }
    </div>
</div>
<script>
    function goBack() {
        window.location.href = "/OwnersInfo/OwnerManagement";
    }
</script>
<script>
    function gotoFamily() {
        window.location.href = "/AdditionalInformation/FamilyEdit?OwnerId=" + '@Model.OwnersProjectList[0].OwnerId';
    }
</script>
@*project*@
<script>
    var fun = function() {
        $('.projectinstallment').append('<div><div class="row"><div class="col"><label for="OPPeriod">Time Period</label><input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod"></div><div class="col"><label for="OPDate">Date</label><input type="date" class="form-control" placeholder="Date" name="OPDate" id="OPDate"> </div><div class="col"><label for="OPAmount">Amount</label><input type="text" class="form-control " placeholder="Amount" name="OPAmount" id="OPAmount"></div></div></div>');
    }
    $('.but3').click(fun);
    function retrieveProjects() {
        var ProjectPeriod = $('input[id="OPPeriod"]').map(function () {
            return this.value;
        }).get();
        var ProjectAmount = $('input[id="OPAmount"]').map(function () {
            return this.value;
        }).get();
        var ProjectDate = $('input[id="OPDate"]').map(function () {
            return this.value;
        }).get();
        //alert(ProjectDate);

        var ownerProjectId = '@Model.OwnersProjectList[0].OwnerId';
        //alert(ownerProjectId);
        var myModel = {
            ProjectName: $('#OPProjectName').val(),
            NumberOfRoom: $('#OPNumberOfRoom').val(),
            NumberOfDays: $('#OPNumberOfDays').val(),
            PurchaseDate: $('#OPPurchaseDate').val(),
            SalesAmount: $('#OPSalesAmount').val(),
            PaidAmount: $('#OPPaidAmount').val(),
            OwnerId: ownerProjectId,
            PeriodArray: ProjectPeriod,
            AmountArray: ProjectAmount,
            DateArray: ProjectDate
        };

        //alert("in ajax ofproject");
        //alert("Owner Id in View: " + ownerProjectId);
        $.ajax({
            context: this,
            type: 'post',
            url: '../AdditionalInformation/gettingOwnerProjectInfoEdit/',
            data: myModel,
            success: function (result) {
                window.location.href = "/AdditionalInformation/FamilyEdit?OwnerId=" + ownerProjectId;
            },
            error: function () {
            }
        });

    }
</script>
